%global srcname platformdirs

Summary:        Python module for determining appropriate platform-specific dirs
Name:           python-%{srcname}
Version:        2.3.0
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/platformdirs/platformdirs
Source0:        https://files.pythonhosted.org/packages/source/p/platformdirs/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
A small Python module for determining appropriate platform-specific dirs, e.g. a "user data dir".

%package -n python3-%{srcname}
Summary:        Python module for determining appropriate platform-specific dir
BuildRequires:  python3-devel

%description -n python3-%{srcname}
A small Python module for determining appropriate platform-specific dirs, e.g. a "user data dir".

%prep
%autosetup -n %{srcname}-%{version}
sed -i '/pytest-cov/d' setup.cfg

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst CHANGES.rst

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 29 2022 Shuo Wang <abushwang@tencent.com> - 2.3.0-1
- initial build
